You can skip this in seconds

Click here to continue

Archivarius 3000 4.48

What's Required in Version 4.48 of Archivarius 3000

Pentium 166, 32 MB RAM, 5 MB HDD

What's New in Version 4.48 of Archivarius 3000

- LZIP, DCX, PCSI, FDI, SPN archives are now supported (.lz, .fdi, .spn).
- Files-11 file system are now supported.
- Minor changes.

Look for Similar Items by Category

Feedback

Popular Downloads